/* -*- Mode: C; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*-
 * File: cfgmgr_cksum.h
 *
 * Created: Wed Aug 14 18:25:30 2002
 *
 * $Id: cksum.h,v 1.1.1.1 2003/11/07 18:51:55 weix Exp $
 */

#ifndef CFGMGR_CKSUM_H
#define CFGMGR_CKSUM_H

#include <inttypes.h>
#include <stdio.h>
#include <errno.h>

int cs_is_tagged(FILE*);
unsigned int cs_read_sum(FILE*);
int cs_calc_sum(FILE*, unsigned int*, int);
int cs_set_sum(FILE*, unsigned int, int);
void cs_get_sum(FILE*, unsigned int*);
unsigned int cs_calc_buf_sum(char*, unsigned long);

#endif
